umbrello: DontAskAgainHandler Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
DontAskAgainHandler Class Reference

`#include <dontaskagain.h>`

## Public Member Functions
void | addItem (DontAskAgainItem *item)
DontAskAgainWidget * | createWidget ()

## Static Public Member Functions
static DontAskAgainHandler & | instance ()

## Protected Attributes
QList< DontAskAgainItem * > | m_items

## Detailed Description

Dialogs provided by namespace KMessageBox support a feature to hide dialogs on user request by specifying the parameter dontAskAgainName, which adds a checkbox named "Don't ask again" to the related dialog.

What is currently missing in KMessageBox namespace and therefore provided by class DontAskAgainHandler, is a widget to reenable or disable dialogs using the "Don't ask again" support in an application setting dialog.

To use this support call macro DefineDontAskAgainItem and add a call to method DontAskAgainItem::name as parameter `dontAskAgainName` to related class KMessageBox methods. See the following example:

DefineDontAskAgainItem(aDontAskAgainItem, "delete-diagram", i18n("Enable 'delete diagram' related messages"));
...
return KMessageBox::warningContinueCancel(..., aDontAskAgainItem.name())
DefineDontAskAgainItem
#define DefineDontAskAgainItem(name, key, _text)
Definition dontaskagain.h:39

To add the mentioned widget to a settings dialog call createWidget() and add the result to a dialog layout.

Author
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Member Function Documentation

## ◆ addItem()

void DontAskAgainHandler::addItem | ( | DontAskAgainItem * | item | ) |

## ◆ createWidget()

DontAskAgainWidget * DontAskAgainHandler::createWidget | ( |  | ) |

## ◆ instance()

DontAskAgainHandler & DontAskAgainHandler::instance | ( |  | ) |
| static

## Member Data Documentation

## ◆ m_items

QList<DontAskAgainItem*> DontAskAgainHandler::m_items
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/dontaskagain.h
- umbrello/dialogs/dontaskagain.cpp